<?php

class images_custom extends images {
 
    public function __construct($request) {
 
        $this->name = str_replace('_custom', '', strtolower(get_called_class()));
 
        parent::__construct($request);
    }

    public function getCropUploadWidget($name, $paths = false, $sizes = false, $allow_import_link = false){

        $is_image_exists = !empty($paths);

        $dom_id = str_replace(array('[',']'), array('_l_', '_r_'), $name);

        $upload_url = href_to('images', 'upload', $dom_id).'?sizes=original';
        if (is_array($sizes)) {
            $upload_url .= ',' . implode(',', $sizes);
        }
		
		$presets = $this->model_cropper->getPresets();
		$presets['original']=array('name'=>'original','title' =>'Оригинал');
		if ($sizes){
		$render='upload_crop'; 
		$ort=array_key_last($sizes);
		if($sizes[$ort]=='original'){array_pop($sizes);		
	    }array_unshift($sizes,'original');}
		else $render='upload_single';
		


        return $this->cms_template->renderInternal($this, $render, array(
			'name'              => $name,
            'paths'             => $paths,
            'sizes'             => $sizes,
            'upload_url'        => $upload_url,
            'dom_id'            => $dom_id,
            'is_image_exists'   => $is_image_exists,
            'allow_import_link' => $allow_import_link,
			'presets'           => $presets
        ));

    }
 
}
